CREATE TABLE cmf_fd_schedules_int (
    FD_SCHEDULES_INT_ID              NUMBER(18, 0),
    FD_LINES_INT_ID                  NUMBER(18, 0)    NOT NULL,
    FD_HEADERS_INT_ID                NUMBER(18, 0)    NOT NULL,
    DOCUMENT_SCHEDULE_ID             NUMBER(18, 0)    NOT NULL,
    DOCUMENT_LINE_ID                 NUMBER(18, 0)    NOT NULL,
    DOCUMENT_HEADER_ID               NUMBER(18, 0)    NOT NULL,
    SCHEDULE_NUMBER                  NUMBER       ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)     NOT NULL,
    SOURCE_DOC_TYPE                  VARCHAR2(120)    NOT NULL,
    SOURCE_DOC_ID1                   NUMBER(18, 0),
    SOURCE_DOC_ID2                   NUMBER(18, 0),
    SOURCE_DOC_ID3                   NUMBER(18, 0),
    RECEIVED_QTY                     NUMBER       ,
    RECEIPT_NUM                      VARCHAR2(120),
    SD_PRICE                         NUMBER       ,
    SD_UOM_CODE                      VARCHAR2(12) ,
    SD_PRICE_CURRENCY                VARCHAR2(60) ,
    USER_EXCHANGE_RATE               NUMBER       ,
    SOURCE_REF_DOC_LINE_ID           NUMBER(18, 0),
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    REQUEST_ID                       NUMBER(18, 0),
    ALLOC_QTY_IN_SD_SECONDARY_UOM    NUMBER       ,
    SD_SECONDARY_UOM_CODE            VARCHAR2(120),
    ALLOCATED_QTY_IN_FDL_UOM         NUMBER       ,
    RECEIVING_ORGANIZATION_ID        NUMBER(18, 0),
    FD_SCHEDULES_INT_ID              NUMBER(18, 0),
    FD_LINES_INT_ID                  NUMBER(18, 0)    NOT NULL,
    FD_HEADERS_INT_ID                NUMBER(18, 0)    NOT NULL,
    DOCUMENT_SCHEDULE_ID             NUMBER(18, 0)    NOT NULL,
    DOCUMENT_LINE_ID                 NUMBER(18, 0)    NOT NULL,
    DOCUMENT_HEADER_ID               NUMBER(18, 0)    NOT NULL,
    SCHEDULE_NUMBER                  NUMBER       ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)     NOT NULL,
    SOURCE_DOC_TYPE                  VARCHAR2(120)    NOT NULL,
    SOURCE_DOC_ID1                   NUMBER(18, 0),
    SOURCE_DOC_ID2                   NUMBER(18, 0),
    SOURCE_DOC_ID3                   NUMBER(18, 0),
    RECEIVED_QTY                     NUMBER       ,
    RECEIPT_NUM                      VARCHAR2(120),
    SD_PRICE                         NUMBER       ,
    SD_UOM_CODE                      VARCHAR2(12) ,
    SD_PRICE_CURRENCY                VARCHAR2(60) ,
    USER_EXCHANGE_RATE               NUMBER       ,
    SOURCE_REF_DOC_LINE_ID           NUMBER(18, 0),
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    REQUEST_ID                       NUMBER(18, 0),
    ALLOC_QTY_IN_SD_SECONDARY_UOM    NUMBER       ,
    SD_SECONDARY_UOM_CODE            VARCHAR2(120),
    ALLOCATED_QTY_IN_FDL_UOM         NUMBER       ,
    RECEIVING_ORGANIZATION_ID        NUMBER(18, 0),
    CONSTRAINT pk_cmf_fd_schedules_int PRIMARY KEY (FD_SCHEDULES_INT_ID, FD_SCHEDULES_INT_ID)
);
